/*
 *
 * [desc.]
 */
#include "Tools/Viewer/Bdd/include/ListePorts.h"

namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     
  
  int ListePorts::countPort(string loc)
  {
    int count=0;

    for(QList<morpheo::tools::viewer::bdd::Port>::iterator it	\
	  = ports->begin();it!=ports->end();++it)
      {
	if( !strcmp(loc.c_str(),it->getLocalisation().c_str()))
	  count++;
      }
    return count;
  }

};//end bdd
};//end viewer
};//end tools
};//end morpheo
